Last modified: 2012-12-22 01:01:50 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 37195 - CategoryViewer has $from defined as String but is used later as array
CategoryViewer has $from defined as String but is used later as array
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Categories (Other open bugs)
1.20.x
All All
: Low minor (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2012-05-29 12:23 UTC by eloy@wikia.com
Modified: 2012-12-22 01:01 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description eloy@wikia.com 2012-05-29 12:23:29 UTC
definition of constructor from CategoryViewer.php:

	function __construct( $title, IContextSource $context, $from = '', $until = '', $query = array() ) {
[...]
}

but later in function doCategoryQuery:
[...]
			if ( $this->from[$type] !== null ) {
[...]
and in private function getSectionPagingLinks( $type ):
[...]
		} elseif ( $this->nextPage[$type] !== null || $this->from[$type] !== null ) {
[...]

Parameter "from" should be probably defined in constructor as empty array() and/or later in code added to some is_array() condition.
Comment 1 Bawolff (Brian Wolff) 2012-12-20 00:03:16 UTC
Thanks for catching that.

Gerrit change #39524

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links